org.apache.pdfbox.pdfparser

## Enum XrefTrailerResolver.XRefType

- java.lang.Object
- - java.lang.Enum<XrefTrailerResolver.XRefType>
  - - org.apache.pdfbox.pdfparser.XrefTrailerResolver.XRefType

All Implemented Interfaces:
  Serializable, Comparable<XrefTrailerResolver.XRefType>

Enclosing class:
  XrefTrailerResolver

    public static enum XrefTrailerResolver.XRefType
    extends Enum<XrefTrailerResolver.XRefType>

The XRefType of a trailer.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`STREAM` XRef stream type.
`TABLE` XRef table type.

### Method Summary

All Methods Static Methods Concrete Methods
`static XrefTrailerResolver.XRefType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XrefTrailerResolver.XRefType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TABLE

    public static final XrefTrailerResolver.XRefType TABLE

XRef table type.

#### STREAM

    public static final XrefTrailerResolver.XRefType STREAM

XRef stream type.

### Method Detail

#### values

    public static XrefTrailerResolver.XRefType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XrefTrailerResolver.XRefType c : XrefTrailerResolver.XRefType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XrefTrailerResolver.XRefType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null